Support for installation repositories in ubuntu 16.04

Issue #822 resolved
PatrickBouillon NA
created an issue

Following your debian and ubuntu installation instructions, i tried to install scm-manager on ubuntu 16.04. While an apt-get update i got the Message:


Holen:8 http://maven.scm-manager.org/nexus/content/repositories/releases ./ Packages [843 B] Es wurden 249 kB in 1 s geholt (228 kB/s). Paketlisten werden gelesen... Fertig W: http://maven.scm-manager.org/nexus/content/repositories/releases/./Release.gpg: Signature by key 7A7928CBFDBD058EB3A7604D8041E097D742B261 uses weak digest algorithm (SHA1) W: Ungültiger »Date«-Eintrag in Release-Datei /var/lib/apt/lists/partial/maven.scm-manager.org_nexus_content_repositories_releases_._Release


As i dont know if you speak german, its now my own translation:

Taking:8 http://maven.scm-manager.org/nexus/content/repositories/releases ./ Packages [843 B] It has been taken 249 kB in 1 s (228 kB/s). Reading paketlists ... ready W: http://maven.scm-manager.org/nexus/content/repositories/releases/./Release.gpg: Signature by key 7A7928CBFDBD058EB3A7604D8041E097D742B261 uses weak digest algorithm (SHA1) W: Invalid »Date«-entry in Release-File /var/lib/apt/lists/partial/maven.scm-manager.org_nexus_content_repositories_releases_._Release


So when installing scm-server with apt-get install scm-server, i get the error message:

Fehl:1 http://maven.scm-manager.org/nexus/content/repositories/releases ./ scm-server 1.46 Hash-Summe stimmt nicht überein


Error:1 http://maven.scm-manager.org/nexus/content/repositories/releases ./ scm-server 1.46 Hash-Sum dont fit


so i think this will be an error because ubuntu 16.04 has just been released and there has to be some adaption to scm-manager. If it's the case, can you say when scm-manager will be installable via apt-repositories?

Thanks for your support, greetings, Patrick

Comments (7)

  1. Jonas Flygare

    Found the following in launchpad, and can confirm that the date in the Release file indeed is not UTC.

    https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1649086 Relevant entry;: "The solution is to tell the owners of the respective repositories to fix their Release file(s). The Date (and Valid-Until) field MUST be in UTC (aka GMT, Z, +0000). Earlier apt versions accepted other timezones silently, but parsed it as UTC anyhow which could cause all kinds of fun. Now a /warning/ is generated – a user can work with the repository as before. As the content of that field is only of use for applications and apt isn't a fullblown calendar-application we decided to not implement all the craziness which is time."

  2. Log in to comment